#!/bin/bash

#
# Configure git identities on a repo-by-repo basis
#
# Colin Patrick McCabe
#

die() {
    echo $@
    exit 1
}

[ $# -eq 1 ] || die "You must supply one argument: work or priv"
case $1 in
    work)
        git config user.email cmccabe@cloudera.com --file || die "${LINENO}"
        git config user.name "Colin Patrick Mccabe" --file || die "${LINENO}"
        ;;
    priv)
        git config user.email cmccabe@alumni.cmu.edu --file || die "${LINENO}"
        git config user.name "Colin Patrick Mccabe" --file || die "${LINENO}"
        ;;
    *)
        die "logic error"
        ;;
esac

exit 0
